Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## edu.stanford.smi.protege.storage.database
Enum KnownDatabase

    java.lang.Object
      java.lang.Enum<KnownDatabase>
          edu.stanford.smi.protege.storage.database.KnownDatabase

All Implemented Interfaces:
  Serializable, Comparable<KnownDatabase>

    public enum KnownDatabase

extends Enum<KnownDatabase>

Enum Constant Summary
`DERBY`
`MYSQL`
`ORACLE`
`POSTGRESQL`
`SQLSERVER`

Method Summary
`String` | `getBitType()`
`String` | `getFrameNameType()`
`String` | `getIntType()`
`String` | `getLongStringType()`
`int` | `getMaxShortValueSize()`
`String` | `getShortName()`
`String` | `getShortValueType()`
`String` | `getSmallIntType()`
`boolean` | `getSupported()`
`static void` | `main(String[] args)`
`static KnownDatabase` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static KnownDatabase[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### MYSQL

    public static final KnownDatabase MYSQL

### POSTGRESQL

    public static final KnownDatabase POSTGRESQL

### SQLSERVER

    public static final KnownDatabase SQLSERVER

### ORACLE

    public static final KnownDatabase ORACLE

### DERBY

    public static final KnownDatabase DERBY

Method Detail

### values

    public static final KnownDatabase[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(KnownDatabase c : KnownDatabase.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static KnownDatabase valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

### getSupported

    public boolean getSupported()

### getShortName

    public String getShortName()

### getFrameNameType

    public String getFrameNameType()

### getShortValueType

    public String getShortValueType()

### getMaxShortValueSize

    public int getMaxShortValueSize()

### getLongStringType

    public String getLongStringType()

### getBitType

    public String getBitType()

### getSmallIntType

    public String getSmallIntType()

### getIntType

    public String getIntType()

### main

    public static void main(String[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.